import { useEffect } from 'react';
import { useAisleStore } from '../../../../store/builder/useAisleStore';
import AisleInstance from './instance/aisleInstance';

function AisleInstances() {
    const { aisles } = useAisleStore();

    useEffect(() => {
        // console.log('aisles: ', aisles);
    }, [aisles]);

    return (

        <>

            {aisles.map((aisle) =>
                <AisleInstance aisle={aisle} key={aisle.uuid} />
            )}

        </>
    )
}

export default AisleInstances